org.apache.poi.xwpf.usermodel

## Enum Borders

- java.lang.Object
- - java.lang.Enum<Borders>
  - - org.apache.poi.xwpf.usermodel.Borders

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Borders>

      public enum Borders
      extends java.lang.Enum<Borders>

  Specifies all types of borders which can be specified for WordprocessingML objects which have a border. Borders can be separated into two types:
  - Line borders: which specify a pattern to be used when drawing a line around the specified object.
  - Art borders: which specify a repeated image to be used when drawing a border around the specified object. Line borders may be specified on any object which allows a border, however, art borders may only be used as a border at the page level - the borders under the pgBorders element
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLES` Specifies an art border consisting of a repeated image of an apple
    `ARCHED_SCALLOPS` Specifies an art border consisting of a repeated image of a shell pattern
    `BABY_PACIFIER` Specifies an art border consisting of a repeated image of a baby pacifier
    `BABY_RATTLE` Specifies an art border consisting of a repeated image of a baby rattle
    `BALLOONS_3_COLORS` Specifies an art border consisting of a repeated image of a set of balloons
    `BALLOONS_HOT_AIR` Specifies an art border consisting of a repeated image of a hot air balloon
    `BASIC_BLACK_DASHES` Specifies an art border consisting of a repeating image of a black and white background.
    `BASIC_BLACK_DOTS` Specifies an art border consisting of a repeating image of a black dot on a white background.
    `BASIC_BLACK_SQUARES` Specifies an art border consisting of a repeating image of a black and white background
    `BASIC_THIN_LINES` Specifies an art border consisting of a repeating image of a black and white background.
    `BASIC_WHITE_DASHES` Specifies an art border consisting of a repeating image of a black and white background.
    `BASIC_WHITE_DOTS` Specifies an art border consisting of a repeating image of a white dot on a black background.
    `BASIC_WHITE_SQUARES` Specifies an art border consisting of a repeating image of a black and white background.
    `BASIC_WIDE_INLINE` Specifies an art border consisting of a repeating image of a black and white background.
    `BASIC_WIDE_MIDLINE` Specifies an art border consisting of a repeating image of a black and white background
    `BASIC_WIDE_OUTLINE` Specifies an art border consisting of a repeating image of a black and white background
    `BATS` Specifies an art border consisting of a repeated image of bats
    `BIRDS` Specifies an art border consisting of repeating images of birds
    `BIRDS_FLIGHT` Specifies an art border consisting of a repeated image of birds flying
    `CABINS` Specifies an art border consisting of a repeated image of a cabin
    `CAKE_SLICE` Specifies an art border consisting of a repeated image of a piece of cake
    `CANDY_CORN` Specifies an art border consisting of a repeated image of candy corn
    `CELTIC_KNOTWORK` Specifies an art border consisting of a repeated image of a knot work pattern
    `CERTIFICATE_BANNER` Specifies an art border consisting of a banner.
    `CHAIN_LINK` Specifies an art border consisting of a repeating image of a chain link pattern.
    `CHAMPAGNE_BOTTLE` Specifies an art border consisting of a repeated image of a champagne bottle
    `CHECKED_BAR_BLACK` Specifies an art border consisting of repeating images of a compass
    `CHECKED_BAR_COLOR` Specifies an art border consisting of a repeating image of a colored pattern.
    `CHECKERED` Specifies an art border consisting of a repeated image of a checkerboard
    `CHRISTMAS_TREE` Specifies an art border consisting of a repeated image of a Christmas tree
    `CIRCLES_LINES` Specifies an art border consisting of repeating images of lines and circles
    `CIRCLES_RECTANGLES` Specifies an art border consisting of a repeated image of a rectangular pattern
    `CLASSICAL_WAVE` Specifies an art border consisting of a repeated image of a wave
    `CLOCKS` Specifies an art border consisting of a repeated image of a clock
    `COMPASS` Specifies an art border consisting of repeating images of a compass
    `CONFETTI` Specifies an art border consisting of a repeated image of confetti
    `CONFETTI_GRAYS` Specifies an art border consisting of a repeated image of confetti
    `CONFETTI_OUTLINE` Specifies an art border consisting of a repeated image of confetti
    `CONFETTI_STREAMERS` Specifies an art border consisting of a repeated image of confetti streamers
    `CONFETTI_WHITE` Specifies an art border consisting of a repeated image of confetti
    `CORNER_TRIANGLES` Specifies an art border consisting of a repeated image
    `COUPON_CUTOUT_DASHES` Specifies an art border consisting of a dashed line
    `COUPON_CUTOUT_DOTS` Specifies an art border consisting of a dotted line
    `CRAZY_MAZE` Specifies an art border consisting of a repeated image of a maze-like pattern
    `CREATURES_BUTTERFLY` Specifies an art border consisting of a repeated image of a butterfly
    `CREATURES_FISH` Specifies an art border consisting of a repeated image of a fish
    `CREATURES_INSECTS` Specifies an art border consisting of repeating images of insects.
    `CREATURES_LADY_BUG` Specifies an art border consisting of a repeated image of a ladybug
    `CROSS_STITCH` Specifies an art border consisting of repeating images of a cross-stitch pattern
    `CUP` Specifies an art border consisting of a repeated image of Cupid
    `DASH_DOT_STROKED`
    `DASH_SMALL_GAP`
    `DASHED`
    `DECO_ARCH`
    `DECO_ARCH_COLOR`
    `DECO_BLOCKS`
    `DIAMONDS_GRAY`
    `DOT_DASH`
    `DOT_DOT_DASH`
    `DOTTED`
    `DOUBLE`
    `DOUBLE_D`
    `DOUBLE_DIAMONDS`
    `DOUBLE_WAVE`
    `EARTH_1`
    `EARTH_2`
    `ECLIPSING_SQUARES_1`
    `ECLIPSING_SQUARES_2`
    `EGGS_BLACK`
    `FANS`
    `FILM`
    `FIRECRACKERS`
    `FLOWERS_BLOCK_PRINT`
    `FLOWERS_DAISIES`
    `FLOWERS_MODERN_1`
    `FLOWERS_MODERN_2`
    `FLOWERS_PANSY`
    `FLOWERS_RED_ROSE`
    `FLOWERS_ROSES`
    `FLOWERS_TEACUP`
    `FLOWERS_TINY`
    `GEMS`
    `GINGERBREAD_MAN`
    `GRADIENT`
    `HANDMADE_1`
    `HANDMADE_2`
    `HEART_BALLOON`
    `HEART_GRAY`
    `HEARTS`
    `HEEBIE_JEEBIES`
    `HOLLY`
    `HOUSE_FUNKY`
    `HYPNOTIC`
    `ICE_CREAM_CONES`
    `INSET`
    `LIGHT_BULB`
    `LIGHTNING_1`
    `LIGHTNING_2`
    `MAP_PINS`
    `MAPLE_LEAF`
    `MAPLE_MUFFINS`
    `MARQUEE`
    `MARQUEE_TOOTHED`
    `MOONS`
    `MOSAIC`
    `MUSIC_NOTES`
    `NIL`
    `NONE`
    `NORTHWEST`
    `OUTSET`
    `OVALS`
    `PACKAGES`
    `PALMS_BLACK`
    `PALMS_COLOR`
    `PAPER_CLIPS`
    `PAPYRUS`
    `PARTY_FAVOR`
    `PARTY_GLASS`
    `PENCILS`
    `PEOPLE`
    `PEOPLE_HATS`
    `PEOPLE_WAVING`
    `POINSETTIAS`
    `POSTAGE_STAMP`
    `PUMPKIN_1`
    `PUSH_PIN_NOTE_1`
    `PUSH_PIN_NOTE_2`
    `PYRAMIDS`
    `PYRAMIDS_ABOVE`
    `QUADRANTS`
    `RINGS`
    `SAFARI`
    `SAWTOOTH`
    `SAWTOOTH_GRAY`
    `SCARED_CAT`
    `SEATTLE`
    `SHADOWED_SQUARES`
    `SHARKS_TEETH`
    `SHOREBIRD_TRACKS`
    `SINGLE` Specifies a line border consisting of a single line around the parent object.
    `SKYROCKET`
    `SNOWFLAKE_FANCY`
    `SNOWFLAKES`
    `SOMBRERO`
    `SOUTHWEST`
    `STARS`
    `STARS_3_D`
    `STARS_BLACK`
    `STARS_SHADOWED`
    `STARS_TOP`
    `SUN`
    `SWIRLIGIG`
    `THICK`
    `THICK_THIN_LARGE_GAP`
    `THICK_THIN_MEDIUM_GAP`
    `THICK_THIN_SMALL_GAP`
    `THIN_THICK_LARGE_GAP`
    `THIN_THICK_MEDIUM_GAP`
    `THIN_THICK_SMALL_GAP`
    `THIN_THICK_THIN_LARGE_GAP`
    `THIN_THICK_THIN_MEDIUM_GAP`
    `THIN_THICK_THIN_SMALL_GAP`
    `THREE_D_EMBOSS`
    `THREE_D_ENGRAVE`
    `TORN_PAPER`
    `TORN_PAPER_BLACK`
    `TREES`
    `TRIANGLE_PARTY`
    `TRIANGLES`
    `TRIBAL_1`
    `TRIBAL_2`
    `TRIBAL_3`
    `TRIBAL_4`
    `TRIBAL_5`
    `TRIBAL_6`
    `TRIPLE`
    `TWISTED_LINES_1`
    `TWISTED_LINES_2`
    `VINE`
    `WAVE`
    `WAVELINE`
    `WEAVING_ANGLES`
    `WEAVING_BRAID`
    `WEAVING_RIBBON`
    `WEAVING_STRIPS`
    `WHITE_FLOWERS`
    `WOODWORK`
    `X_ILLUSIONS`
    `ZANY_TRIANGLES`
    `ZIG_ZAG`
    `ZIG_ZAG_STITCH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static Borders` | `valueOf(int type)`
    `static Borders` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Borders[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NIL

          public static final Borders NIL

    - #### NONE

          public static final Borders NONE

    - #### SINGLE

          public static final Borders SINGLE

      Specifies a line border consisting of a single line around the parent object.

    - #### THICK

          public static final Borders THICK

    - #### DOUBLE

          public static final Borders DOUBLE

    - #### DOTTED

          public static final Borders DOTTED

    - #### DASHED

          public static final Borders DASHED

    - #### DOT_DASH

          public static final Borders DOT_DASH

    - #### DOT_DOT_DASH

          public static final Borders DOT_DOT_DASH

    - #### TRIPLE

          public static final Borders TRIPLE

    - #### THIN_THICK_SMALL_GAP

          public static final Borders THIN_THICK_SMALL_GAP

    - #### THICK_THIN_SMALL_GAP

          public static final Borders THICK_THIN_SMALL_GAP

    - #### THIN_THICK_THIN_SMALL_GAP

          public static final Borders THIN_THICK_THIN_SMALL_GAP

    - #### THIN_THICK_MEDIUM_GAP

          public static final Borders THIN_THICK_MEDIUM_GAP

    - #### THICK_THIN_MEDIUM_GAP

          public static final Borders THICK_THIN_MEDIUM_GAP

    - #### THIN_THICK_THIN_MEDIUM_GAP

          public static final Borders THIN_THICK_THIN_MEDIUM_GAP

    - #### THIN_THICK_LARGE_GAP

          public static final Borders THIN_THICK_LARGE_GAP

    - #### THICK_THIN_LARGE_GAP

          public static final Borders THICK_THIN_LARGE_GAP

    - #### THIN_THICK_THIN_LARGE_GAP

          public static final Borders THIN_THICK_THIN_LARGE_GAP

    - #### WAVE

          public static final Borders WAVE

    - #### DOUBLE_WAVE

          public static final Borders DOUBLE_WAVE

    - #### DASH_SMALL_GAP

          public static final Borders DASH_SMALL_GAP

    - #### DASH_DOT_STROKED

          public static final Borders DASH_DOT_STROKED

    - #### THREE_D_EMBOSS

          public static final Borders THREE_D_EMBOSS

    - #### THREE_D_ENGRAVE

          public static final Borders THREE_D_ENGRAVE

    - #### OUTSET

          public static final Borders OUTSET

    - #### INSET

          public static final Borders INSET

    - #### APPLES

          public static final Borders APPLES

      Specifies an art border consisting of a repeated image of an apple

    - #### ARCHED_SCALLOPS

          public static final Borders ARCHED_SCALLOPS

      Specifies an art border consisting of a repeated image of a shell pattern

    - #### BABY_PACIFIER

          public static final Borders BABY_PACIFIER

      Specifies an art border consisting of a repeated image of a baby pacifier

    - #### BABY_RATTLE

          public static final Borders BABY_RATTLE

      Specifies an art border consisting of a repeated image of a baby rattle

    - #### BALLOONS_3_COLORS

          public static final Borders BALLOONS_3_COLORS

      Specifies an art border consisting of a repeated image of a set of balloons

    - #### BALLOONS_HOT_AIR

          public static final Borders BALLOONS_HOT_AIR

      Specifies an art border consisting of a repeated image of a hot air balloon

    - #### BASIC_BLACK_DASHES

          public static final Borders BASIC_BLACK_DASHES

      Specifies an art border consisting of a repeating image of a black and white background.

    - #### BASIC_BLACK_DOTS

          public static final Borders BASIC_BLACK_DOTS

      Specifies an art border consisting of a repeating image of a black dot on a white background.

    - #### BASIC_BLACK_SQUARES

          public static final Borders BASIC_BLACK_SQUARES

      Specifies an art border consisting of a repeating image of a black and white background

    - #### BASIC_THIN_LINES

          public static final Borders BASIC_THIN_LINES

      Specifies an art border consisting of a repeating image of a black and white background.

    - #### BASIC_WHITE_DASHES

          public static final Borders BASIC_WHITE_DASHES

      Specifies an art border consisting of a repeating image of a black and white background.

    - #### BASIC_WHITE_DOTS

          public static final Borders BASIC_WHITE_DOTS

      Specifies an art border consisting of a repeating image of a white dot on a black background.

    - #### BASIC_WHITE_SQUARES

          public static final Borders BASIC_WHITE_SQUARES

      Specifies an art border consisting of a repeating image of a black and white background.

    - #### BASIC_WIDE_INLINE

          public static final Borders BASIC_WIDE_INLINE

      Specifies an art border consisting of a repeating image of a black and white background.

    - #### BASIC_WIDE_MIDLINE

          public static final Borders BASIC_WIDE_MIDLINE

      Specifies an art border consisting of a repeating image of a black and white background

    - #### BASIC_WIDE_OUTLINE

          public static final Borders BASIC_WIDE_OUTLINE

      Specifies an art border consisting of a repeating image of a black and white background

    - #### BATS

          public static final Borders BATS

      Specifies an art border consisting of a repeated image of bats

    - #### BIRDS

          public static final Borders BIRDS

      Specifies an art border consisting of repeating images of birds

    - #### BIRDS_FLIGHT

          public static final Borders BIRDS_FLIGHT

      Specifies an art border consisting of a repeated image of birds flying

    - #### CABINS

          public static final Borders CABINS

      Specifies an art border consisting of a repeated image of a cabin

    - #### CAKE_SLICE

          public static final Borders CAKE_SLICE

      Specifies an art border consisting of a repeated image of a piece of cake

    - #### CANDY_CORN

          public static final Borders CANDY_CORN

      Specifies an art border consisting of a repeated image of candy corn

    - #### CELTIC_KNOTWORK

          public static final Borders CELTIC_KNOTWORK

      Specifies an art border consisting of a repeated image of a knot work pattern

    - #### CERTIFICATE_BANNER

          public static final Borders CERTIFICATE_BANNER

      Specifies an art border consisting of a banner.

      If the border is on the left or right, no border is displayed.

    - #### CHAIN_LINK

          public static final Borders CHAIN_LINK

      Specifies an art border consisting of a repeating image of a chain link pattern.

    - #### CHAMPAGNE_BOTTLE

          public static final Borders CHAMPAGNE_BOTTLE

      Specifies an art border consisting of a repeated image of a champagne bottle

    - #### CHECKED_BAR_BLACK

          public static final Borders CHECKED_BAR_BLACK

      Specifies an art border consisting of repeating images of a compass

    - #### CHECKED_BAR_COLOR

          public static final Borders CHECKED_BAR_COLOR

      Specifies an art border consisting of a repeating image of a colored pattern.

    - #### CHECKERED

          public static final Borders CHECKERED

      Specifies an art border consisting of a repeated image of a checkerboard

    - #### CHRISTMAS_TREE

          public static final Borders CHRISTMAS_TREE

      Specifies an art border consisting of a repeated image of a Christmas tree

    - #### CIRCLES_LINES

          public static final Borders CIRCLES_LINES

      Specifies an art border consisting of repeating images of lines and circles

    - #### CIRCLES_RECTANGLES

          public static final Borders CIRCLES_RECTANGLES

      Specifies an art border consisting of a repeated image of a rectangular pattern

    - #### CLASSICAL_WAVE

          public static final Borders CLASSICAL_WAVE

      Specifies an art border consisting of a repeated image of a wave

    - #### CLOCKS

          public static final Borders CLOCKS

      Specifies an art border consisting of a repeated image of a clock

    - #### COMPASS

          public static final Borders COMPASS

      Specifies an art border consisting of repeating images of a compass

    - #### CONFETTI

          public static final Borders CONFETTI

      Specifies an art border consisting of a repeated image of confetti

    - #### CONFETTI_GRAYS

          public static final Borders CONFETTI_GRAYS

      Specifies an art border consisting of a repeated image of confetti

    - #### CONFETTI_OUTLINE

          public static final Borders CONFETTI_OUTLINE

      Specifies an art border consisting of a repeated image of confetti

    - #### CONFETTI_STREAMERS

          public static final Borders CONFETTI_STREAMERS

      Specifies an art border consisting of a repeated image of confetti streamers

    - #### CONFETTI_WHITE

          public static final Borders CONFETTI_WHITE

      Specifies an art border consisting of a repeated image of confetti

    - #### CORNER_TRIANGLES

          public static final Borders CORNER_TRIANGLES

      Specifies an art border consisting of a repeated image

    - #### COUPON_CUTOUT_DASHES

          public static final Borders COUPON_CUTOUT_DASHES

      Specifies an art border consisting of a dashed line

    - #### COUPON_CUTOUT_DOTS

          public static final Borders COUPON_CUTOUT_DOTS

      Specifies an art border consisting of a dotted line

    - #### CRAZY_MAZE

          public static final Borders CRAZY_MAZE

      Specifies an art border consisting of a repeated image of a maze-like pattern

    - #### CREATURES_BUTTERFLY

          public static final Borders CREATURES_BUTTERFLY

      Specifies an art border consisting of a repeated image of a butterfly

    - #### CREATURES_FISH

          public static final Borders CREATURES_FISH

      Specifies an art border consisting of a repeated image of a fish

    - #### CREATURES_INSECTS

          public static final Borders CREATURES_INSECTS

      Specifies an art border consisting of repeating images of insects.

    - #### CREATURES_LADY_BUG

          public static final Borders CREATURES_LADY_BUG

      Specifies an art border consisting of a repeated image of a ladybug

    - #### CROSS_STITCH

          public static final Borders CROSS_STITCH

      Specifies an art border consisting of repeating images of a cross-stitch pattern

    - #### CUP

          public static final Borders CUP

      Specifies an art border consisting of a repeated image of Cupid

    - #### DECO_ARCH

          public static final Borders DECO_ARCH

    - #### DECO_ARCH_COLOR

          public static final Borders DECO_ARCH_COLOR

    - #### DECO_BLOCKS

          public static final Borders DECO_BLOCKS

    - #### DIAMONDS_GRAY

          public static final Borders DIAMONDS_GRAY

    - #### DOUBLE_D

          public static final Borders DOUBLE_D

    - #### DOUBLE_DIAMONDS

          public static final Borders DOUBLE_DIAMONDS

    - #### EARTH_1

          public static final Borders EARTH_1

    - #### EARTH_2

          public static final Borders EARTH_2

    - #### ECLIPSING_SQUARES_1

          public static final Borders ECLIPSING_SQUARES_1

    - #### ECLIPSING_SQUARES_2

          public static final Borders ECLIPSING_SQUARES_2

    - #### EGGS_BLACK

          public static final Borders EGGS_BLACK

    - #### FANS

          public static final Borders FANS

    - #### FILM

          public static final Borders FILM

    - #### FIRECRACKERS

          public static final Borders FIRECRACKERS

    - #### FLOWERS_BLOCK_PRINT

          public static final Borders FLOWERS_BLOCK_PRINT

    - #### FLOWERS_DAISIES

          public static final Borders FLOWERS_DAISIES

    - #### FLOWERS_MODERN_1

          public static final Borders FLOWERS_MODERN_1

    - #### FLOWERS_MODERN_2

          public static final Borders FLOWERS_MODERN_2

    - #### FLOWERS_PANSY

          public static final Borders FLOWERS_PANSY

    - #### FLOWERS_RED_ROSE

          public static final Borders FLOWERS_RED_ROSE

    - #### FLOWERS_ROSES

          public static final Borders FLOWERS_ROSES

    - #### FLOWERS_TEACUP

          public static final Borders FLOWERS_TEACUP

    - #### FLOWERS_TINY

          public static final Borders FLOWERS_TINY

    - #### GEMS

          public static final Borders GEMS

    - #### GINGERBREAD_MAN

          public static final Borders GINGERBREAD_MAN

    - #### GRADIENT

          public static final Borders GRADIENT

    - #### HANDMADE_1

          public static final Borders HANDMADE_1

    - #### HANDMADE_2

          public static final Borders HANDMADE_2

    - #### HEART_BALLOON

          public static final Borders HEART_BALLOON

    - #### HEART_GRAY

          public static final Borders HEART_GRAY

    - #### HEARTS

          public static final Borders HEARTS

    - #### HEEBIE_JEEBIES

          public static final Borders HEEBIE_JEEBIES

    - #### HOLLY

          public static final Borders HOLLY

    - #### HOUSE_FUNKY

          public static final Borders HOUSE_FUNKY

    - #### HYPNOTIC

          public static final Borders HYPNOTIC

    - #### ICE_CREAM_CONES

          public static final Borders ICE_CREAM_CONES

    - #### LIGHT_BULB

          public static final Borders LIGHT_BULB

    - #### LIGHTNING_1

          public static final Borders LIGHTNING_1

    - #### LIGHTNING_2

          public static final Borders LIGHTNING_2

    - #### MAP_PINS

          public static final Borders MAP_PINS

    - #### MAPLE_LEAF

          public static final Borders MAPLE_LEAF

    - #### MAPLE_MUFFINS

          public static final Borders MAPLE_MUFFINS

    - #### MARQUEE

          public static final Borders MARQUEE

    - #### MARQUEE_TOOTHED

          public static final Borders MARQUEE_TOOTHED

    - #### MOONS

          public static final Borders MOONS

    - #### MOSAIC

          public static final Borders MOSAIC

    - #### MUSIC_NOTES

          public static final Borders MUSIC_NOTES

    - #### NORTHWEST

          public static final Borders NORTHWEST

    - #### OVALS

          public static final Borders OVALS

    - #### PACKAGES

          public static final Borders PACKAGES

    - #### PALMS_BLACK

          public static final Borders PALMS_BLACK

    - #### PALMS_COLOR

          public static final Borders PALMS_COLOR

    - #### PAPER_CLIPS

          public static final Borders PAPER_CLIPS

    - #### PAPYRUS

          public static final Borders PAPYRUS

    - #### PARTY_FAVOR

          public static final Borders PARTY_FAVOR

    - #### PARTY_GLASS

          public static final Borders PARTY_GLASS

    - #### PENCILS

          public static final Borders PENCILS

    - #### PEOPLE

          public static final Borders PEOPLE

    - #### PEOPLE_WAVING

          public static final Borders PEOPLE_WAVING

    - #### PEOPLE_HATS

          public static final Borders PEOPLE_HATS

    - #### POINSETTIAS

          public static final Borders POINSETTIAS

    - #### POSTAGE_STAMP

          public static final Borders POSTAGE_STAMP

    - #### PUMPKIN_1

          public static final Borders PUMPKIN_1

    - #### PUSH_PIN_NOTE_2

          public static final Borders PUSH_PIN_NOTE_2

    - #### PUSH_PIN_NOTE_1

          public static final Borders PUSH_PIN_NOTE_1

    - #### PYRAMIDS

          public static final Borders PYRAMIDS

    - #### PYRAMIDS_ABOVE

          public static final Borders PYRAMIDS_ABOVE

    - #### QUADRANTS

          public static final Borders QUADRANTS

    - #### RINGS

          public static final Borders RINGS

    - #### SAFARI

          public static final Borders SAFARI

    - #### SAWTOOTH

          public static final Borders SAWTOOTH

    - #### SAWTOOTH_GRAY

          public static final Borders SAWTOOTH_GRAY

    - #### SCARED_CAT

          public static final Borders SCARED_CAT

    - #### SEATTLE

          public static final Borders SEATTLE

    - #### SHADOWED_SQUARES

          public static final Borders SHADOWED_SQUARES

    - #### SHARKS_TEETH

          public static final Borders SHARKS_TEETH

    - #### SHOREBIRD_TRACKS

          public static final Borders SHOREBIRD_TRACKS

    - #### SKYROCKET

          public static final Borders SKYROCKET

    - #### SNOWFLAKE_FANCY

          public static final Borders SNOWFLAKE_FANCY

    - #### SNOWFLAKES

          public static final Borders SNOWFLAKES

    - #### SOMBRERO

          public static final Borders SOMBRERO

    - #### SOUTHWEST

          public static final Borders SOUTHWEST

    - #### STARS

          public static final Borders STARS

    - #### STARS_TOP

          public static final Borders STARS_TOP

    - #### STARS_3_D

          public static final Borders STARS_3_D

    - #### STARS_BLACK

          public static final Borders STARS_BLACK

    - #### STARS_SHADOWED

          public static final Borders STARS_SHADOWED

    - #### SUN

          public static final Borders SUN

    - #### SWIRLIGIG

          public static final Borders SWIRLIGIG

    - #### TORN_PAPER

          public static final Borders TORN_PAPER

    - #### TORN_PAPER_BLACK

          public static final Borders TORN_PAPER_BLACK

    - #### TREES

          public static final Borders TREES

    - #### TRIANGLE_PARTY

          public static final Borders TRIANGLE_PARTY

    - #### TRIANGLES

          public static final Borders TRIANGLES

    - #### TRIBAL_1

          public static final Borders TRIBAL_1

    - #### TRIBAL_2

          public static final Borders TRIBAL_2

    - #### TRIBAL_3

          public static final Borders TRIBAL_3

    - #### TRIBAL_4

          public static final Borders TRIBAL_4

    - #### TRIBAL_5

          public static final Borders TRIBAL_5

    - #### TRIBAL_6

          public static final Borders TRIBAL_6

    - #### TWISTED_LINES_1

          public static final Borders TWISTED_LINES_1

    - #### TWISTED_LINES_2

          public static final Borders TWISTED_LINES_2

    - #### VINE

          public static final Borders VINE

    - #### WAVELINE

          public static final Borders WAVELINE

    - #### WEAVING_ANGLES

          public static final Borders WEAVING_ANGLES

    - #### WEAVING_BRAID

          public static final Borders WEAVING_BRAID

    - #### WEAVING_RIBBON

          public static final Borders WEAVING_RIBBON

    - #### WEAVING_STRIPS

          public static final Borders WEAVING_STRIPS

    - #### WHITE_FLOWERS

          public static final Borders WHITE_FLOWERS

    - #### WOODWORK

          public static final Borders WOODWORK

    - #### X_ILLUSIONS

          public static final Borders X_ILLUSIONS

    - #### ZANY_TRIANGLES

          public static final Borders ZANY_TRIANGLES

    - #### ZIG_ZAG

          public static final Borders ZIG_ZAG

    - #### ZIG_ZAG_STITCH

          public static final Borders ZIG_ZAG_STITCH

  - ### Method Detail

    - #### values

          public static Borders[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Borders c : Borders.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Borders valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static Borders valueOf(int type)

    - #### getValue

          public int getValue()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.